local t = Def.ActorFrame {
FOV=90;
--[[ 	LoadFont("Hayate Title") .. {
		Text=THEME:GetString( "ScreenCaution", "Caution" );
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP+60;diffuse,1,0,0,1;diffusebottomedge,0.5,0,0,1;shadowlength,0);
	};
	
	LoadFont("Hayate Menu") .. {
		Text=THEME:GetString( "ScreenCaution", "CautionText" );
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;horizalign,center;shadowlength,0;wrapwidthpixels,SCREEN_WIDTH-80);
	}; --]]
    Def.Quad {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP+60;zoomto,SCREEN_WIDTH,40;diffuse,0,0,0,0.5);
    };
    Def.Quad {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,160;diffuse,0,0,0,0.5);
    };
    LoadFont("Hayate Title") .. {
        Text=THEME:GetString( "ScreenCaution", "Caution" );
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP+56;diffuse,1,0,0,1;diffusebottomedge,0.5,0,0,1;shadowlength,0);
    };
	LoadFont("Common") .. {
		Text=THEME:GetString( "ScreenCaution", "CautionText" );
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;horizalign,center;shadowlength,0;wrapwidthpixels,SCREEN_WIDTH-80);
        OnCommand=cmd(zoom,1.2;diffusealpha,0;glow,1,1,1,1;bounceend,1.75;zoom,1;diffusealpha,1;glow,1,1,1,0;diffusebottomedge,1,0.5,0.5,1);
        TweenOnCommand=cmd(finishtweening;linear,0.3;diffusealpha,0);
        TweenOffCommand=cmd(finishtweening;linear,0.3;diffusealpha,1);
        CodeMessageCommand=function(self, params)
			self:playcommand(params.Name == "Select" and 'TweenOff' or 'TweenOn');
		end;
	};
	LoadFont("Common") .. {
		Text="THE KFC CONNECTED TO THE BOXOR HAS BECOME FILLED WITH CHICKEN";
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;horizalign,center;shadowlength,0;wrapwidthpixels,SCREEN_WIDTH-80;diffusealpha,0);
--~         OnCommand=cmd(zoom,1.2;diffusealpha,0;glow,1,1,1,1;bounceend,1.75;zoom,1;diffusealpha,1;glow,1,1,1,0;diffusebottomedge,1,0.5,0.5,1);
        TweenOnCommand=cmd(stoptweening;linear,0.3;diffusealpha,0);
        TweenOffCommand=cmd(stoptweening;linear,0.3;diffusealpha,1);
        CodeMessageCommand=function(self, params)
			self:playcommand(params.Name == "Select" and 'TweenOn' or 'TweenOff');
		end;
	};
--~ OnCommand=cmd(sleep,2.5;decelerate,0.6;rotationy,16);
};

return t;
